Apache Tomcat 6.0.53

## org.apache.coyote.http11
Class AbstractInputBuffer

    java.lang.Object
      org.apache.coyote.http11.AbstractInputBuffer

All Implemented Interfaces:
  InputBuffer

Direct Known Subclasses:
  InternalAprInputBuffer, InternalInputBuffer, InternalNioInputBuffer

    public abstract class AbstractInputBuffer

extends java.lang.Object
implements InputBuffer

Field Summary
`protected static StringManager` | `sm`

Constructor Summary
`AbstractInputBuffer()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.coyote.InputBuffer
`doRead`

Field Detail

### sm

    protected static final StringManager sm

Constructor Detail

### AbstractInputBuffer

    public AbstractInputBuffer()

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.